#include <StdAfx.h>
#include "TRWeapons.h"
#include "TRLog.h"
#include "phd_math.h"
#include "utility.h"

TRWeapons weapons;

#define ERR_FOUND 0

void TRWeapons::malloc_weapons()
{

}

void TRWeapons::free_weapons()
{

}

void TRWeapons::load_weapons(LPCSTR file_name, WEAPON_INFO* winfo)
{

}

void TRWeapons::create_unarmed()
{

}

// normal speed/less damage++/normal accuracy
void TRWeapons::create_pistols()
{

}

// more speed++/less damage++/less accuracy+
void TRWeapons::create_uzis()
{

}

// normal speed/more damage+/more accuracy
void TRWeapons::create_magnum()
{

}

// more speed+/more damage/more accuracy
void TRWeapons::create_autopistols()
{

}

// normal speed/more damage+/no accuracy
void TRWeapons::create_shotgun()
{

}

void TRWeapons::create_revolver()
{

}

void TRWeapons::create_desert_eagle()
{

}

// less speed/more damage++/more accuracy+
void TRWeapons::create_m16()
{

}

// more speed+/more damage/more accuracy
void TRWeapons::create_mp5()
{

}

void TRWeapons::create_grenade_gun()
{

}

void TRWeapons::create_crossbow()
{

}

void TRWeapons::create_rocket_gun()
{

}

void TRWeapons::create_harpoon()
{

}

void TRWeapons::create_flare()
{

}


void TRWeapons::create_snowmobile()
{

}

void TRWeapons::create_weapons()
{

}

void TRWeapons::initialise_weapons()
{

}

WEAPON_INFO* TRWeapons::get_unarmed()
{
    return unarmed;
}

WEAPON_INFO* TRWeapons::get_pistols()
{
    return pistols;
}

WEAPON_INFO* TRWeapons::get_uzis()
{
    return uzis;
}

WEAPON_INFO* TRWeapons::get_revolver()
{
    return revolver;
}

WEAPON_INFO* TRWeapons::get_magnums()
{
    return magnum;
}

WEAPON_INFO* TRWeapons::get_autopistols()
{
    return autopistols;
}

WEAPON_INFO* TRWeapons::get_shotgun()
{
    return shotgun;
}

WEAPON_INFO* TRWeapons::get_desert_eagle()
{
    return desert_eagle;
}

WEAPON_INFO* TRWeapons::get_m16()
{
    return m16;
}

WEAPON_INFO* TRWeapons::get_mp5()
{
    return mp5;
}

WEAPON_INFO* TRWeapons::get_grenade()
{
    return grenade_gun;
}

WEAPON_INFO* TRWeapons::get_crossbow()
{
    return crossbow;
}

WEAPON_INFO* TRWeapons::get_rocket()
{
    return rocket_gun;
}

WEAPON_INFO* TRWeapons::get_harpoon()
{
    return harpoon;
}

WEAPON_INFO* TRWeapons::get_flare()
{
    return flare;
}

WEAPON_INFO* TRWeapons::get_snowmobile()
{
    return snowmobile;
}

WEAPON_INFO* TRWeapons::get_weapons(LARA_HOLD hold_type)
{
    return NULL;
}
